Subject: [alpine-devel] [PATCH] testing/xiphos: new aport

From: Isaac Dunham <[email-masked]>
Date: Thu, 1 Jan 2015 18:39:22 -0800

Xiphos is a Bible study program for Gnome, based on the SWORD project.
---
 testing/xiphos/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/xiphos/APKBUILD

diff --git a/testing/xiphos/APKBUILD b/testing/xiphos/APKBUILD
new file mode 100644
index 0000000..1756428
--- /dev/null
+++ b/testing/xiphos/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Isaac Dunham <[email-masked]>
+# Maintainer: Isaac Dunham <[email-masked]>
+pkgname=xiphos
+pkgver=4.0.0
+pkgrel=0
+pkgdesc="Gnome application for Bible study"
+url="https://sourceforge.net/projects/gnomesword"
+arch="all"
+license="GPL2"
+depends=""
+makedepends="webkitgtk-dev sword-dev gconf-dev libgsf-dev intltool gettext-dev rarian-dev desktop-file-utils gnome-doc-utils util-linux-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://downloads.sourceforge.net/gnomesword/xiphos-$pkgver.tar.gz"
+
+_builddir="$srcdir"/xiphos-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./waf configure --prefix=/usr --enable-webkit-editor --gtk=3 && \
+	./waf build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	DESTDIR="$pkgdir" ./waf install || return 1
+
+}
+
+md5sums="7305c368510574bd64d873daeb5354ee  xiphos-4.0.0.tar.gz"
+sha256sums="c8408919f5d4847b9641a5ab52cf071adde42ff6c2c97b93532754ac2cec6966  xiphos-4.0.0.tar.gz"
+sha512sums="0e8d70dc78be5ef9107307dcd28d756812212ee8e166cf0fdf1c1294617ccf0f1d119f36ab1b9d36f3de6e6ea538baf8cb6d36bc537afd4ff05d7fda44026352  xiphos-4.0.0.tar.gz"
-- 
2.2.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---